<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/DoNotDisturb/src/DoNotDisturbCapabilityAgent.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_dd92015ab12b9b588cab78f10309c27c.html">DoNotDisturb</a></li><li class="navelem"><a class="el" href="dir_7760842dcf7554b8703c3e156a2b01e3.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">DoNotDisturbCapabilityAgent.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_capability_configuration_8h_source.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_generator_8h_source.html">AVSCommon/Utils/JSON/JSONGenerator.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_setting_event_metadata_8h_source.html">Settings/SettingEventMetadata.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_do_not_disturb_capability_agent_8h_source.html">DoNotDisturbCA/DoNotDisturbCapabilityAgent.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_d_n_d_message_request_8h_source.html">DoNotDisturbCA/DNDMessageRequest.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_d_n_d_setting_protocol_8h_source.html">DoNotDisturbCA/DNDSettingProtocol.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for DoNotDisturbCapabilityAgent.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_do_not_disturb_capability_agent_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_do_not_disturb_2src_2_do_not_disturb_capability_agent_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_do_not_disturb_2src_2_do_not_disturb_capability_agent_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_do_not_disturb_2src_2_do_not_disturb_capability_agent_8cpp">
<area shape="rect" id="node5" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="644,379,837,417"/>
<area shape="rect" id="node8" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="605,119,775,157"/>
<area shape="rect" id="node16" href="_j_s_o_n_generator_8h.html" title="AVSCommon/Utils/JSON\l/JSONGenerator.h" alt="" coords="410,119,580,157"/>
<area shape="rect" id="node17" href="_setting_event_metadata_8h.html" title="Settings/SettingEventMetadata.h" alt="" coords="1383,299,1599,324"/>
<area shape="rect" id="node18" href="_do_not_disturb_capability_agent_8h.html" title="DoNotDisturbCA/DoNotDisturb\lCapabilityAgent.h" alt="" coords="2852,119,3056,157"/>
<area shape="rect" id="node49" href="_d_n_d_message_request_8h.html" title="DoNotDisturbCA/DNDMessage\lRequest.h" alt="" coords="1623,292,1829,331"/>
<area shape="rect" id="node50" href="_d_n_d_setting_protocol_8h.html" title="DoNotDisturbCA/DNDSetting\lProtocol.h" alt="" coords="3746,205,3940,244"/>
<area shape="rect" id="node11" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="4396,292,4572,331"/>
<area shape="rect" id="node13" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="4834,379,5010,417"/>
<area shape="rect" id="node20" href="_capability_agent_8h.html" title="AVSCommon/AVS/Capability\lAgent.h" alt="" coords="1980,205,2173,244"/>
<area shape="rect" id="node23" href="_exception_error_type_8h.html" title="AVSCommon/AVS/ExceptionError\lType.h" alt="" coords="2109,379,2332,417"/>
<area shape="rect" id="node29" href="_capabilities_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesDelegateInterface.h" alt="" coords="2778,205,2988,244"/>
<area shape="rect" id="node30" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="2562,292,2788,331"/>
<area shape="rect" id="node31" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="4375,205,4623,244"/>
<area shape="rect" id="node32" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="2512,205,2703,244"/>
<area shape="rect" id="node35" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="4404,379,4592,417"/>
<area shape="rect" id="node36" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="4615,379,4810,417"/>
<area shape="rect" id="node39" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="3612,292,3781,331"/>
<area shape="rect" id="node40" href="_customer_data_manager_8h.html" title="RegistrationManager\l/CustomerDataManager.h" alt="" coords="4697,205,4871,244"/>
<area shape="rect" id="node41" href="_device_setting_storage_interface_8h.html" title="Settings/Storage/DeviceSetting\lStorageInterface.h" alt="" coords="2812,292,3018,331"/>
<area shape="rect" id="node43" href="_device_settings_manager_8h.html" title="Settings/DeviceSettingsManager.h" alt="" coords="1364,212,1589,237"/>
<area shape="rect" id="node44" href="_setting_event_sender_interface_8h.html" title="Settings/SettingEventSender\lInterface.h" alt="" coords="2469,379,2660,417"/>
<area shape="rect" id="node45" href="_setting_8h.html" title="Settings/Setting.h" alt="" coords="4076,212,4202,237"/>
<area shape="rect" id="node21" href="_namespace_and_name_8h.html" title="AVSCommon/AVS/NamespaceAnd\lName.h" alt="" coords="962,379,1191,417"/>
<area shape="rect" id="node22" href="_exception_encountered_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExceptionEncounteredSenderInterface.h" alt="" coords="2071,292,2336,331"/>
<area shape="rect" id="node24" href="_channel_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ChannelObserverInterface.h" alt="" coords="1854,292,2046,331"/>
<area shape="rect" id="node25" href="_context_requester_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextRequesterInterface.h" alt="" coords="1164,292,1360,331"/>
<area shape="rect" id="node26" href="_state_provider_interface_8h.html" title="AVSCommon/SDKInterfaces\l/StateProviderInterface.h" alt="" coords="949,292,1140,331"/>
<area shape="rect" id="node27" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="3194,292,3385,331"/>
<area shape="rect" id="node28" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="3162,379,3386,417"/>
<area shape="rect" id="node33" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="2735,385,2984,411"/>
<area shape="rect" id="node34" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="1941,465,2188,504"/>
<area shape="rect" id="node42" href="_setting_status_8h.html" title="Settings/SettingStatus.h" alt="" coords="3612,385,3776,411"/>
<area shape="rect" id="node46" href="_set_setting_result_8h.html" title="Settings/SetSettingResult.h" alt="" coords="4095,385,4279,411"/>
<area shape="rect" id="node47" href="_setting_protocol_interface_8h.html" title="Settings/SettingProtocol\lInterface.h" alt="" coords="4057,292,4221,331"/>
<area shape="rect" id="node48" href="_setting_observer_interface_8h.html" title="Settings/SettingObserver\lInterface.h" alt="" coords="3850,379,4020,417"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html">alexaClientSDK::capabilityAgents::doNotDisturb</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_do_not_disturb_capability_agent_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9bd2df54b5fa192d585e5e2801a45fcd"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a9bd2df54b5fa192d585e5e2801a45fcd">alexaClientSDK::capabilityAgents::doNotDisturb::parseDirectivePayload</a> (const std::string &amp;payload, Document *document)</td></tr>
<tr class="separator:a9bd2df54b5fa192d585e5e2801a45fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6e1deee97249472a677b346e9dcc8e01"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6e1deee97249472a677b346e9dcc8e01">alexaClientSDK::capabilityAgents::doNotDisturb::TAG</a> {&quot;DoNotDisturbCapabilityAgent&quot;}</td></tr>
<tr class="memdesc:a6e1deee97249472a677b346e9dcc8e01"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6e1deee97249472a677b346e9dcc8e01">More...</a><br /></td></tr>
<tr class="separator:a6e1deee97249472a677b346e9dcc8e01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b47b726e208a9264c916764dc9b75de"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">alexaClientSDK::capabilityAgents::doNotDisturb::NAMESPACE</a> = &quot;Alexa.DoNotDisturb&quot;</td></tr>
<tr class="memdesc:a6b47b726e208a9264c916764dc9b75de"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Alexa.DoNotDisturb interface namespace.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a6b47b726e208a9264c916764dc9b75de">More...</a><br /></td></tr>
<tr class="separator:a6b47b726e208a9264c916764dc9b75de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbdf65051fce7b3a65f02e6fe8136cd4"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#abbdf65051fce7b3a65f02e6fe8136cd4">alexaClientSDK::capabilityAgents::doNotDisturb::DIRECTIVE_SETDONOTDISTURB</a> {NAMESPACE, &quot;SetDoNotDisturb&quot;}</td></tr>
<tr class="memdesc:abbdf65051fce7b3a65f02e6fe8136cd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>SetDoNotDisturb</code> directive identifier.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#abbdf65051fce7b3a65f02e6fe8136cd4">More...</a><br /></td></tr>
<tr class="separator:abbdf65051fce7b3a65f02e6fe8136cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad73332edf08c5c6c55dd15aeb3074147"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#ad73332edf08c5c6c55dd15aeb3074147">alexaClientSDK::capabilityAgents::doNotDisturb::EVENT_DONOTDISTURBCHANGED</a> {NAMESPACE, &quot;DoNotDisturbChanged&quot;}</td></tr>
<tr class="memdesc:ad73332edf08c5c6c55dd15aeb3074147"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>DoNotDisturbChanged</code> event identifier.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#ad73332edf08c5c6c55dd15aeb3074147">More...</a><br /></td></tr>
<tr class="separator:ad73332edf08c5c6c55dd15aeb3074147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af44b4e89ee94182c1f70a9c9df66a313"><td class="memItemLeft" align="right" valign="top">static const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#af44b4e89ee94182c1f70a9c9df66a313">alexaClientSDK::capabilityAgents::doNotDisturb::EVENT_REPORTDONOTDISTURB</a> {NAMESPACE, &quot;ReportDoNotDisturb&quot;}</td></tr>
<tr class="memdesc:af44b4e89ee94182c1f70a9c9df66a313"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>ReportDoNotDisturb</code> event identifier.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#af44b4e89ee94182c1f70a9c9df66a313">More...</a><br /></td></tr>
<tr class="separator:af44b4e89ee94182c1f70a9c9df66a313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f9c841292e2a95a069e68cf4d2d45aa"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a5f9c841292e2a95a069e68cf4d2d45aa">alexaClientSDK::capabilityAgents::doNotDisturb::DND_JSON_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="memdesc:a5f9c841292e2a95a069e68cf4d2d45aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS Interface type.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a5f9c841292e2a95a069e68cf4d2d45aa">More...</a><br /></td></tr>
<tr class="separator:a5f9c841292e2a95a069e68cf4d2d45aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a505daa440a01059312e75ccc6182737b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a505daa440a01059312e75ccc6182737b">alexaClientSDK::capabilityAgents::doNotDisturb::DND_JSON_INTERFACE_NAME</a> = &quot;Alexa.DoNotDisturb&quot;</td></tr>
<tr class="memdesc:a505daa440a01059312e75ccc6182737b"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS Interface name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a505daa440a01059312e75ccc6182737b">More...</a><br /></td></tr>
<tr class="separator:a505daa440a01059312e75ccc6182737b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad18a8d8a19e9b27ad1fea8c04f07544d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#ad18a8d8a19e9b27ad1fea8c04f07544d">alexaClientSDK::capabilityAgents::doNotDisturb::DND_JSON_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:ad18a8d8a19e9b27ad1fea8c04f07544d"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS interface version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#ad18a8d8a19e9b27ad1fea8c04f07544d">More...</a><br /></td></tr>
<tr class="separator:ad18a8d8a19e9b27ad1fea8c04f07544d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa58028eb21b7c2678788a719390e62"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#acaa58028eb21b7c2678788a719390e62">alexaClientSDK::capabilityAgents::doNotDisturb::JSON_KEY_ENABLED</a> [] = &quot;enabled&quot;</td></tr>
<tr class="memdesc:acaa58028eb21b7c2678788a719390e62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "enabled" JSON branch.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#acaa58028eb21b7c2678788a719390e62">More...</a><br /></td></tr>
<tr class="separator:acaa58028eb21b7c2678788a719390e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
